Mandriva Linux Security Advisory : xulrunner (MDVSA-2010:213)

High Nessus Plugin ID 50406


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability was discovered and corrected in xulrunner :

Unspecified vulnerability in Mozilla Firefox 3.5.x through 3.5.14 and 3.6.x through 3.6.11, when JavaScript is enabled, allows remote attackers to execute arbitrary code via unknown vectors, as exploited in the wild in October 2010 by the Belmoo malware (CVE-2010-3765).

Packages for 2009.0 are provided as of the Extended Maintenance Program. Please visit this link to learn more: 90

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: High

ID: 50406

File Name: mandriva_MDVSA-2010-213.nasl

Version: $Revision: 1.17 $

Type: local

Published: 2010/10/29

Modified: 2016/05/20

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64xulrunner-devel, p-cpe:/a:mandriva:linux:lib64xulrunner1.9.2.11, p-cpe:/a:mandriva:linux:libxulrunner-devel, p-cpe:/a:mandriva:linux:libxulrunner1.9.2.11, p-cpe:/a:mandriva:linux:xulrunner, cpe:/o:mandriva:linux:2009.0, cpe:/o:mandriva:linux:2010.0, cpe:/o:mandriva:linux:2010.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/10/28

Exploitable With


Metasploit (Mozilla Firefox Interleaved document.write/appendChild Memory Corruption)

Reference Information

CVE: CVE-2010-3765

BID: 44425

MDVSA: 2010:213